%define modname libevent
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B02_%{modname}.ini

Summary:	Libevent - event notification
Name:		php-%{modname}
Version:	0.0.5
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/libevent/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	libevent-devel

%description
This extension is a wrapper for libevent - event notification library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 0.0.5-3.mga3
+ Revision: 393305
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.0.5-2.mga3
+ Revision: 375815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.0.5-1.mga3
+ Revision: 275567
- upgrade to 0.0.5

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.0.4-3.mga2
+ Revision: 223908
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 0.0.4-2.mga2
+ Revision: 185603
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.0.4-1.mga1
+ Revision: 48047
- removed buildroot definition from .spec
- imported package php-libevent

